<?php 

// +------------------------------------------------------------------+
// |                                                                  |
// | Copyright 1999-Present Kryptronic, Inc. All rights reserved.     |
// |                                                                  |
// | This software is copyrighted, trademarked, developed and         |
// | licensed by Kryptronic, Inc. This software is distributed        |
// | under license.                                                   |
// |                                                                  |
// | View the license agreement for more information.  Installation   |
// | of this software package indicates acceptance of the license     |
// | agreement.                                                       |
// |                                                                  |
// +------------------------------------------------------------------+

/**
 * @package Kryptronic
 * @version 1.0
 */

/*
Plugin Name: Kryptronic
Plugin URI: http://www.kryptronic.com/
Description: This plugin by Kryptronic allows for the use of Kryptronic software with Wordpress.
Author: Kryptronic
Version: 1.0
Author URI: http://www.kryptronic.com/
*/

// +------------------------------------------------------------------+
// | Startup Environment Changes                                      |
// +------------------------------------------------------------------+

// +--
// | Increase backtracks and recursion for PCREs.
// +--

if (@ini_get('pcre.recursion_limit')) {@ini_set('pcre.recursion_limit',20000000);}
if (@ini_get('pcre.backtrack_limit')) {@ini_set('pcre.backtrack_limit',10000000);}

// +------------------------------------------------------------------+
// | Function: kryptronic_settingsmenu                                |
// +------------------------------------------------------------------+

function kryptronic_settingsmenu () {

     add_menu_page('Kryptronic Plugin Settings', 'Kryptronic', 'administrator', __FILE__, 'kryptronic_settingspage');
     add_action('admin_init','kryptronic_settingsreg'); 

} // End of function.

if (is_admin()) {add_action('admin_menu', 'kryptronic_settingsmenu');}

// +------------------------------------------------------------------+
// | Function: kryptronic_settingsreg                                 |
// +------------------------------------------------------------------+

function kryptronic_settingsreg () {

     register_setting('kryptronic_settingsgroup', 'kryptronic_remoteurl');

} // End of function.

// +------------------------------------------------------------------+
// | Function: kryptronic_settingspage                                |
// +------------------------------------------------------------------+

function kryptronic_settingspage () {

     $eol = "\r\n";

     print '<div class="wrap"><h2>Kryptronic</h2><form method="post" action="options.php">' . $eol;

     settings_fields('kryptronic_settingsgroup');
     do_settings_sections('kryptronic_settingsgroup');

     print '<table class="form-table">' . $eol;

     print '<tr valign="top">' . $eol;
     print '<th scope="row">Store URL</th>' . $eol;
     print '<td>Enter the full URL to your store.  Example: http://www.yourdomain.com/index.php<br />';
     print '<input type="text" name="kryptronic_remoteurl" value="' . esc_attr(get_option('kryptronic_remoteurl')) . '" style="width: 80%;" /></td>' . $eol;
     print '</tr>' . $eol;

     print '</table>' . $eol;
    
     submit_button();

     print '</form></div>' . $eol;

     return 1;

} // End of function.

// +------------------------------------------------------------------+
// | End of File                                                      |
// +------------------------------------------------------------------+

?>